(test-scss "foo bar { baz: qux }" '(css+ (foo ((// bar) (baz "qux")))))
(test-scss "foo, bar, baz { qux: quux }" '(css+ ((foo bar baz) (qux "quux"))))

(test-scss "foo { bar: baz; qux: quux } bar { baz: qux }"
           '(css+ (foo (bar "baz") 
                       (qux "quux"))
                  (bar (baz "qux"))))

(test-scss "foo { bar: baz } foo bar { baz: qux }" 
           '(css+ (foo (bar "baz")
                       ((// bar) (baz "qux")))))

(test-scss "foo { bar: baz } foo bar baz foo { baz: qux }" 
           '(css+ (foo (bar "baz")
                       ((// bar) 
                        ((// baz) 
                         ((// foo) (baz "qux")))))))

(test-scss "foo bar { baz: qux } foo baz { qux: quux }" 
           '(css+ (foo ((// bar) (baz "qux"))
                       ((// baz) (qux "quux")))))

(test-scss "foo bar, foo baz { qux: quux }" 
           '(css+ (foo (((// bar) (// baz)) (qux "quux")))))

(test-scss "foo + bar { baz: qux }"
           '(css+ (foo ((+ bar) (baz "qux")))))

(test-scss "foo + bar baz { baz: qux }"
           '(css+ (foo ((+ (// bar baz)) (baz "qux")))))

(test-scss "foo.bar { baz: qux }" '(css+ (foo ((& .bar) (baz "qux")))))
(test-scss "foo.bar.baz { baz: qux }" '(css+ (foo ((& .bar) ((& .baz) (baz "qux"))))))

(test-scss "foo bar.baz { baz: qux }" 
           '(css+ (foo ((// bar) ((& .baz) (baz "qux"))))))


(test-scss "foo baz baz, foo baz qux, foo.qux baz, foo.qux qux, bar baz baz, bar baz qux, bar.qux baz, bar.qux qux { foo: bar }"
           '(css+ ((foo bar)
                   (((// baz) (& .qux))
                    (((// baz) (// qux))
                     (foo "bar"))))))